Subject: Re: gethostbyname: returns "not owner"
From: [email-masked] (Roger Kuhlman)

6 Jun 1997 18:06:41 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-To: [email-masked]
In-Reply-To: <[email-masked]> from "David Means" at Jun 4, 97 04:47:01 pm
X-Mailer: ELM [version 2.4 PL25]
Original-Sender: [email-masked]

> 
> When I call gethostbyname(), it returns an error.  perror() displays
> "not owner".
> 
> This only happens when  I'm running under SH.EXE.
> 
I don't know about the above, that sounds like a permissions problem
in the registry????????????????????? but for the below, there are several 
contributions I can make.

1) in your winnt directory look in system32/drivers/etc
there is a hosts.sam and an Lmhosts.sam file.
Depending on whether you are on an internet(U**ix) network 
or an NT network, you need to set up the appropriate hosts
file with entries following the sample entries
ex. 
192.32.71.12 foo.net.com foo
in hosts will allow ping foo or telnet foo to work.
2) for general networking, you need to get nameserever info and 
default router info from your connection provider, and set up 
your ppp or whatever connection with that info.
DNS=nameserver
your net administrator should be able to help you.

> Also, when I'm running under SH.EXE, ping (/windows/ping) and ftp
> (/windows/ftp) will not work with host names.  If I use IP addresses
> however, it will work.  In example, ping will return "Bad IP address"
> 
> Thanks for any help you can provide,
> 
> David Means
> mailto:[email-masked]
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
> 

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".